<?php
/**
 * The template for displaying search results pages
 *
 * @package Blorigan
 */

get_header(); ?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php if ( have_posts() ) : ?>

				<?php
				while ( have_posts() ) :
					the_post();
				?>

					<?php
					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					get_template_part( 'template-parts/content', 'search' );
					?>

				<?php endwhile; ?>

				<?php
				/**
				 * Hook - blorigan_action_posts_navigation.
				 *
				 * @hooked: blorigan_custom_posts_navigation - 10
				 */
				do_action( 'blorigan_action_posts_navigation' );
				?>

			<?php else : ?>

				<?php get_template_part( 'template-parts/content', 'none' ); ?>

			<?php endif; ?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php
	/**
	 * Hook - blorigan_action_sidebar.
	 *
	 * @hooked: blorigan_add_sidebar - 10
	 */
	do_action( 'blorigan_action_sidebar' );
?>
<?php
get_footer();
